package com.tsiwebserver.mapper;

import java.util.List;
import java.util.Map;
import org.apache.ibatis.annotations.Mapper;
import com.tsiwebserver.VO.AlarmConfigVO;
import com.tsiwebserver.VO.AlarmVO;
import com.tsiwebserver.VO.ApiInvokeVO;
import com.tsiwebserver.VO.CommunicationVO;
import com.tsiwebserver.VO.CpuUseVO;
import com.tsiwebserver.VO.KafkaStatusVO;
import com.tsiwebserver.VO.ServerStatusVO;
import com.tsiwebserver.VO.TscApiClientVO;

@Mapper
public interface DashBoardMapper {

	    public List<KafkaStatusVO> getKafkaStatus();

	    public List<CpuUseVO> getUseCpuVo();

	    public List<CommunicationVO> getCommuticationVO();

	    public KafkaStatusVO getOneKafkaStatus();

	    public CommunicationVO getOneCommunicationStatus();

	    public List<ApiInvokeVO> getApiInvokeVO();
	    
	    public List<AlarmVO> getAlarmVO();
	    
	    public int getAlarmTotCount();

	    public int alarmChecker(Map<String,Object>hashMap);

	    public List<AlarmVO> getAlarmCodeSearch(String inputVal);

	    public List<ServerStatusVO> getServerStat();
	    
	    public List<AlarmConfigVO> getAllAlarmCode();
	    
	    public List<ServerStatusVO> getOneCpuUse();
	    
	    public List<ServerStatusVO> getOneMemUse();
	    
	    public List<ServerStatusVO> getOneDiskUse();

	    public List<ServerStatusVO> getOneResourceUse();
	        
	    public int getAlarmCount();
	    
	    public List<AlarmConfigVO> getAlarmWarning(); 

}
